package jp.co.sds_corp.util.window;

import java.util.Map;

/**
* 各種設定をするPanelのためのインターフェースです。
* @author	小見山　聡
*/
public interface ISetupPanel
{
	/**
	* 設定内容をパネルに設定します。
	* @param	map		設定内容
	*/
	public void setData( Map<String,String> map );

	/**
	* パネルに入力された設定内容を取得します。
	* @return	設定内容
	*/
	public Map<String,String> getData();

	/**
	* 設定内容をクリアします。
	*/
	public void clear();

	// ここから下は、JPanelのメソッドです。
	public void setEnabled( boolean bChk );
	public void setSelected( boolean bChk );
	public boolean isSelected();
}
