package jp.co.sds_corp.util.window;

import java.awt.Dimension;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.io.File;
import java.util.ResourceBundle;

import javax.swing.BorderFactory;
import javax.swing.JFileChooser;
import javax.swing.JLabel;
import javax.swing.JPanel;

import jp.co.sds_corp.util.common.CmnLocale;

/**
* Image File を選択する部品です。
* @author	小見山　聡
*/
public class ImageChooser extends JFileChooser
{
	String desc;
	String[] ext = { "gif", "jpeg", "jpg", "png" };
	ResourceBundle	res;

	JLabel icon = new JLabel();
	NullIcon nul = new NullIcon();

	/**
	* このクラスを初期化します。
	*/
	public ImageChooser() {
		super();
		init();
	}

	/**
	* 指定されたディレクトリでこのクラスを初期化します。
	* @param	path	ディレクトリ
	*/
	public ImageChooser( String path ) {
		super( path );
		init();
	}

	private void init() {
		res = ResourceBundle.getBundle( "resource.util_gui", CmnLocale.getLocale() );
		String text;

		desc = res.getString( "image.desc" );
		text = res.getString( "image.title" );
		setDialogTitle( text );
		setFileFilter( new ExtFileFilter( desc, ext) );

//		icon.setIcon( nul );
		icon.setPreferredSize( new Dimension( 40, 40 ));
//		icon.setBorder( BorderFactory.createLineBorder( Color.black ));
//		icon.setBorder( BorderFactory.createEtchedBorder( EtchedBorder.RAISED ));
//		icon.setBorder( BorderFactory.createBevelBorder( BevelBorder.RAISED ));
		icon.setBorder( BorderFactory.createRaisedBevelBorder());
		icon.setBounds( 2, 30, 40, 40 );

		JPanel pnl = new JPanel();
		pnl.setLayout( null );
		pnl.setPreferredSize( new Dimension( 45, 100 ));
		pnl.add( icon );
		setAccessory( pnl );

		addPropertyChangeListener( new PropertyChangeListener() {
			public void propertyChange( PropertyChangeEvent ev ) {
				selectImage( ev );
			}
		});
	}

	public void selectImage( PropertyChangeEvent ev ) {
		if ( ev.getPropertyName().equals( ImageChooser.SELECTED_FILE_CHANGED_PROPERTY )) {
			File file = (File )ev.getNewValue();
			SizedIcon icon = null;
			try {
				icon = new SizedIcon( file.getPath(), 40 );
				this.icon.setIcon( icon );
			} catch ( Exception ex ) {
				this.icon.setIcon( nul );
			}
		}
	}
}
