package	jp.co.sds_corp.util.window;

import javax.swing.JTextArea;

/**
* javaのシステムプロパティを表示するパネルを表示します。
*/
public class JavaStatusText extends JTextArea
{
	/**
	* このパネルを初期化します。
	*/
	public JavaStatusText() {
		super();
		setEditable( false );
		setStatus();
	}

	private String[] keys = {
		"java.version",
		"java.vendor",
		"java.vendor.url",
		"java.home",
		"java.vm.specification.version",
		"java.vm.specification.vendor",
		"java.vm.specification.name",
		"java.vm.version",
		"java.vm.vendor",
		"java.vm.name",
		"java.specification.version",
		"java.specification.vendor",
		"java.specification.name",
		"java.class.version",
		"java.class.path",
		"java.library.path",
		"java.io.tmpdir",
		"java.compiler",
		"java.ext.dirs",
		"os.name",
		"os.arch",
		"os.version",
		"file.separator",
		"path.separator",
		"line.separator",
		"user.name",
		"user.home",
		"user.dir"
	};

	protected void setStatus() {
		Runtime rt = Runtime.getRuntime();
		String txt = "";
		for ( int i = 0; i < keys.length; i++ ) {
			txt += keys[i] + "=" + System.getProperty( keys[i] ) + "\n";
		}
		txt += "\n";
		txt += "totalMemory=" + rt.totalMemory() + "\n";
		txt += "freeMemory=" + rt.freeMemory() + "\n";

		setText( txt );
	}
}
