package jp.co.sds_corp.util.window;

import java.util.ResourceBundle;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSlider;
import javax.swing.border.TitledBorder;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import jp.co.sds_corp.util.common.CmnLocale;

/**
* 音量の設定を行うJPanelです。
* @author	小見山　聡
*/
public class VolumeSetupPanel extends JPanel
{
	XYLayout xyLayout = new XYLayout( 450, 60 );
	JLabel LBL_VOL = new JLabel( "100" );
	JSlider vol;
	int		nVol = 100;
	ResourceBundle res;

	/**
	* このパネルを初期化します。
	*/
	public VolumeSetupPanel() {
		setLayout(xyLayout);

		res = ResourceBundle.getBundle( "resource.util_gui", CmnLocale.getLocale() );
		String text;
		text = res.getString( "volume.title" );
		setBorder( new TitledBorder( text ));
		add( LBL_VOL, new XYConstraints( 5, 10, 80, 20 ));

		vol = new JSlider( JSlider.HORIZONTAL, 0, 100, nVol );
		vol.setMajorTickSpacing( 10 );
		vol.setMinorTickSpacing( 1 );
		vol.setPaintTicks( true );
		vol.setPaintLabels( true );
		vol.setBorder( BorderFactory.createEmptyBorder( 0,0,10,0 ) );
		vol.addChangeListener( new ChangeListener() {
			public void stateChanged( ChangeEvent ev ) {
				changeVolume( ev );
			}
		} );
		add( vol, new XYConstraints( 30, 0, 300, 60 ));
	}

	protected void changeVolume( ChangeEvent ev ) {
		JSlider vol = (JSlider )ev.getSource();
//		if ( !vol.getValueIsAdjusting()) {
			setVolume( vol.getValue() );
//		}
    }

	public void setVolume( int nVol ) {
		this.nVol = nVol;
		LBL_VOL.setText( String.valueOf( nVol ));
		vol.setValue( nVol );
	}

	public int getVolume() {
		return nVol;
	}

	public void setEnabled( boolean bEn ) {
		super.setEnabled( bEn );
		LBL_VOL.setEnabled( bEn );
		vol.setEnabled( bEn );
	}
}

